@ECHO OFF
CD %~dp0
IF "%JAVA_HOME%" == "" GOTO NOENV

IF "%1" == "" GOTO STARTNOPARAM
IF "%4" == "" GOTO INVALIDPARAM
IF NOT "%5" == "" GOTO INVALIDPARAM
IF NOT "%1" == "systemadapterip" IF NOT "%3" == "systemadapterip" GOTO SYSTEMADAPTERIPMISSING
IF "%1" == "systemadapterip" SET SYSTEMADAPTERIP=%2
IF "%3" == "systemadapterip" SET SYSTEMADAPTERIP=%4
IF NOT "%1" == "systemadapterport" IF NOT "%3" == "systemadapterport" GOTO SYSTEMADAPTERPORTMISSING
IF "%1" == "systemadapterport" SET SYSTEMADAPTERPORT=%2
IF "%3" == "systemadapterport" SET SYSTEMADAPTERPORT=%4
%JAVA_HOME%\bin\java -Xms40m -Xmx900m -cp loaddriver.jar -Djava.security.policy=loaddriver.policy -Dloaddriver.properties=loaddriver.properties Start --register --systemadapterip %SYSTEMADAPTERIP% --systemadapterport %SYSTEMADAPTERPORT%
GOTO END

:STARTNOPARAM
%JAVA_HOME%\bin\java -Xms40m -Xmx900m -cp loaddriver.jar -Djava.security.policy=loaddriver.policy -Dloaddriver.properties=loaddriver.properties Start
GOTO END
:NOENV
@ECHO The JAVA_HOME environment variable was not detected, set environment variable first.
GOTO END
:SYSTEMADAPTERIPMISSING
@ECHO System adapter ip parameter is missing.
GOTO END
:SYSTEMADAPTERPORTMISSING
@ECHO System adapter port parameter is missing.
GOTO END
:INVALIDPARAM
@ECHO Invalid parameters specified.
:END
